> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/widgets/{widget_id}

> Get a widget.

Returns one widget and its metrics.## Path parameters

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request GET \
  --url https://api.getbluejay.ai/v1/widgets/{widget_id} \
  --header 'X-API-Key: <api-key>'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "id": "<string>",
  "organization_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "chart_type": "<string>",
  "chart_mode": "<string>",
  "data_type": "<string>",
  "applies_to_all_agents": true,
  "bar_mode": "<string>",
  "aggregation": [
    "<string>"
  ],
  "time_bucket": "<string>",
  "group_by": "<string>",
  "simulation_ids": [
    123
  ],
  "show_indeterminate": true,
  "filters": null,
  "column_visibility": null,
  "color_overrides": {
    "key": "<string>"
  },
  "center_label": {
    "slice": "<string>",
    "clamp_pct": 1.5,
    "label": "<string>",
    "benchmark": 1.5,
    "compare_previous": true,
    "unit": "<string>"
  },
  "show_legend": true,
  "created_by": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "widget_metrics": [],
  "layout": {
    "x": 123,
    "y": 123,
    "w": 123,
    "h": 123
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.